<script>
	import {
		mapMutations
	} from 'vuex';
	export default {
		onLaunch: function() {
			console.log(8888)

			// 监测版本
			// #ifdef APP-PLUS
			var id = plus.runtime.version
			this.$store.commit('mVersion', id)

			const _self = this;
			const _handlePush = function(message) {
				/**
				 * 通过 vuex 来同步页面的数据，仅做演示。
				 * 实际开发中，这里可能是跳转到某个页面等操作，请根据自身业务需求编写。
				 */
				_self.updatePushMessage(message);
			};
		
			
			//监听系统通知栏消息点击事件 
			plus.push.addEventListener('click', function(message) {
				//处理点击消息的业务逻辑代码
				// plus.nativeUI.toast('push click');
				// _handlePush(message);
			
			});
			//监听接收透传消息事件 
			plus.push.addEventListener('receive', function(message) {
				//处理透传消息的业务逻辑代码 
				// plus.nativeUI.toast('push receive');
			
				// _handlePush(message);
			});			
			//h5+安卓判断通知权限，打开通知权限
			var main = plus.android.runtimeMainActivity();  
			var pkName = main.getPackageName();  
			var NotificationManagerCompat = plus.android.importClass("android.support.v4.app.NotificationManagerCompat");  
			var packageNames = NotificationManagerCompat.from(main);  
			console.log(JSON.stringify(packageNames));  
			if (packageNames.areNotificationsEnabled()) {  
			    console.log('已开启通知权限');  
			}else{  
			    uni.showModal({  
			        title: '提示',  
			        content: '请先打开APP通知权限',  
			        showCancel: false,  
			        success: function (res) {  
			            if (res.confirm) {  
			                var Intent = plus.android.importClass('android.content.Intent');  
			                var intent = new Intent('android.settings.APP_NOTIFICATION_SETTINGS');//可设置表中所有Action字段  
			                intent.putExtra('android.provider.extra.APP_PACKAGE', pkName);  
			                main.startActivity(intent);  
			            }  
			        }  
			    });  
			}
		

			// #endif
			var id = 1.0
			this.$store.commit('mVersion', id)
			// 保存获取到当前版本号
			uni.setStorage({
				key: 'edition',
				data: id,
				success: function() {
					console.log('success');
				}
			});
			//判断是否登录
			let is_login = uni.getStorageSync('is_login');
			uni.getStorageSync
			if (!is_login) {
				//未登录状态
				console.log(999)
			} else {
				console.log(888)
				//登录状态
				uni.redirectTo({
					url: 'pages/index/index',
					success: (res) => {
						console.log(res)
						console.log(222)
					},
					fail: (err) => {
						console.log(111)
						console.log(err)
					},
					complete: (com) => {
						console.log(com)
					}
				});
			}


		},
		methods: {
			...mapMutations(['updatePushMessage'])
		}
	}
</script>

<style lang="scss">
	@import "uview-ui/index.scss";
	/*每个页面公共css */
</style>
